import routes from './router/routes'
import storeModule from './store/store-module'

import DeviceType from './views/deviceManagement/DeviceType.vue'
import DeviceInfo from './views/deviceManagement/DeviceInfo.vue'
export default function(Vue) {
  Vue.config.productionTip = false
  this.$router.addRoutes(routes)
  this.$store.registerModule('main', storeModule)
  this.$eventBus.on('visitedAbout', () => {
    alert('用户访问了about页面99。')
  })
  this.$dynamicComponent.create(DeviceType)
  this.$dynamicComponent.create(DeviceInfo)
}
